# -*- coding: utf-8 -*-
"""
labels.py
データセットのクラスの名前を取得する
"""

import os

# ラベルの文字列
def get(DATA):
    ret = None

    if (DATA == 'MNIST') or (DATA == 'QMNIST'):
        ret = (
        '0', '1', '2', '3', '4', '5', '6', '7', '8', '9'
        )
    elif (DATA == 'EMNIST'):
        ret = (
        '0','1','2','3','4','5','6','7','8','9',
        'A','B','C','D','E','F','G','H','I','J','K','L','M','N','O','P','Q','R','S','T','U','V','W','X','Y','Z',
        'a','b',    'd','e','f','g','h',                    'n',        'q','r',    't',
        )
        # c i j k l m o p s u v w x y z  # 統合15字
    elif (DATA == 'FashionMNIST'):
        ret = (
        "Tshirt/top", "Trouser", "Pullover", "Dress", "Coat", "Sandal", "Shirt", "Sneaker", "Bag", "AnkleBoot"
        )
    elif (DATA == 'KMNIST'):
        ret = (
        'お', 'き', 'す', 'つ', 'な', 'は', 'ま', 'や', 'れ', 'を'
        )
    elif (DATA == 'CIFAR10'):
        ret = (
        '飛行機', '車', '鳥', '猫', '鹿', '犬', '蛙', '馬', '船', 'トラック'
        )
    elif (DATA == 'Flowers102'):
        ret = (
'pink primrose サクラソウ',
'hard-leaved pocket orchid ラン',
'canterbury bells フウリンソウ',
'sweet pea スイートピー',
'english marigold マリーゴールド',
'tiger lily オニユリ',
'moon orchid 月蘭',
'bird of paradise 極楽鳥',
'monkshood トリカブト',
'globe thistle アザミ',
'snapdragon キンギョソウ',
'colt"s foot フキタンポポ',
'king protea キングプロテア',
'spear thistle ノゲシ',
'yellow iris 黄菖蒲',
'globe-flower 玉虫花',
'purple coneflower ムラサキツユクサ',
'peruvian lily 百合水仙',
'balloon flower 風船花',
'giant white arum lily 白百合',
'fire lily オレンジリリー',
'pincushion flower 西洋松虫草',
'fritillary 豹紋蝶',
'red ginger 紅生姜',
'grape hyacinth グレープヒヤシンス',
'corn poppy ヒナゲシ',
'prince of wales feathers',
'stemless gentian リンドウ',
'artichoke アザミ',
'sweet william ヒゲナデシコ',
'carnation カーネーション',
'garden phlox クサキョウチクトウ',
'love in the mist ニゲラ',
'mexican aster コスモス',
'alpine sea holly ヒイラギ',
'ruby-lipped cattleya カトレア',
'cape flower ケープフラワー',
'great masterwort アストランティア',
'siam tulip チューリップ',
'lenten rose レンテンローズ',
'barbeton daisy ガーベラ',
'daffodil ラッパスイセン',
'sword lily 剣百合',
'poinsettia ポインセチア',
'bolero deep blue バラ',
'wallflower ウォールフラワー',
'marigold マリーゴールド',
'buttercup キンポウゲ',
'oxeye daisy フランス菊',
'common dandelion セイヨウタンポポ',
'petunia ペチュニア',
'wild pansy パンジー',
'primula サクラソウ',
'sunflower ヒマワリ',
'pelargonium ゼラニウム',
'bishop of llandaff ダリア',
'gaura 白蝶草',
'geranium ゼラニウム',
'orange dahlia ダリア',
'pink-yellow dahlia ダリア',
'cautleya spicata カトレヤ',
'japanese anemone 秋明菊',
'black-eyed susan キク',
'silverbush シルバーブッシュ',
'californian poppy ハナビシソウ',
'osteospermum オステオスペルマム',
'spring crocus クロッカス',
'bearded iris アヤメ',
'windflower アネモネ',
'tree poppy ツリーポピー',
'gazania ガザニア',
'azalea アザレア',
'water lily スイレン',
'rose バラ',
'thorn apple チョウセンアサガオ',
'morning glory アサガオ',
'passion flower トケイソウ',
'lotus ハス',
'toad lily ホトトギス',
'anthurium ベニウチワ',
'frangipani プルメリア',
'clematis クレマチス',
'hibiscus ハイビスカス',
'columbine コロンバイン',
'desert-rose デザートローズ',
'tree mallow モクアオイ',
'magnolia モクレン',
'cyclamen シクラメン',
'watercress クレソン',
'canna lily テッポウユリ',
'hippeastrum アマリリス',
'bee balm ビーバーム',
'ball moss タマゴケ',
'foxglove キツネノテブクロ',
'bougainvillea ブーゲンビリア',
'camellia カメリア',
'mallow ウスベニアオイ',
'mexican petunia ペチュニア',
'bromelia ブロメリア',
'blanket flower オオテンギク',
'trumpet creeper ラッパズイセン',
'blackberry lily クロユリ',
)
    elif (DATA == 'K49'):
        ret = (
        'あ','い','う','え','お','か','き','く','け','こ','さ','し','す','せ','そ',
        'た','ち','つ','て','と','な','に','ぬ','ね','の','は','ひ','ふ','へ','ほ',
        'ま','み','む','め','も','や','ゆ','よ','ら','り','る','れ','ろ','わ','ゐ',
        'ゑ','を','ん','ゝ',
        ) # 49個
    elif (DATA == 'KKanji'):
        # 3832個
        line40 = '''
𤇆𤾣𥶡𧝒𩞀𩷚𩹵䂓䑓䕃䕲䱡䲙一丁七万丈三上下不与丑且世丗丘丙丞両並中串丸丹主丼乂乃
久之乍乎乏乗乘乙九乞也乱乳乾亀亂了予争事二于云互五井亘亙些亡交亥亦亨享京亭亮人什
仁仂仇今介仍仏仔仕他付仙仝代令以仭仮仰仲件任伊伍伏伐休会伝伯伴伸伺似伽但佇位低住
佐体何余佛作佩佳併佶使來例侍侘供依侠侭侮侯侲便係促俄俊俎俗保俟信俤修俯俳俵俸倉個
倍們倒倖倘候倚借倣倦倩倫倭倶假偈偏偖停健側偶偸偽傀傅傍傘備傚催傳債傷傾僅僉働像僕
僞僥僧僵價僻儀億儉儒儘儡優允元兄充兆兇先光兊克兌免兎児兒兜入全兩兪八公六共兵其具
典兼内円冊册再写冝冠冥冨冬冴冶冷凄准凉凋凌凍凝几凡処凶凹出刀刃刄分切刈刊刑刕列初
判別利刪到制刹刺刻剃則削剋前剖剛剣剥剩剪副剱割創劇劉劔力功加劣助努劫励労勃勅勇勉
動勘務勝勞募勢勤勦勧勸勺勾勿匁匂包匕化北匙匜匠匣匹医十千卅升午半卑卒卓協南単博卜
占卦卯印危即却卵卷卸卿厄厘厚原厠厨厭厳去参參又叉及友双反収叔取受叙叛叟叡叢口古句
只叫召可台史右叶号司吃各合吉吊同名后吏吐向君吝吟否含吮吶吸吹吻吼吾呂呆呉告呑呟周
呪味呵呼命咀咄和咎咒咥咨咫咲咳咸咽哀品哉員哢哥哭哲哽唄唇唐唖唯唱啄商問啓啗啜啻啼
喃善喉喋喘喜喝喞喟喧喩喪喫喰営嗅嗇嗔嗚嗜嗟嗣嗽嘈嘉嘗嘘嘩嘯嘲嘸噀噂噌器噪噬噺嚢嚮
嚴囀囂囃囉囘四回因団困囲図固国國圍圑園圓圖團土在圭地坂均坊坏坐坑坡坪垂垢垣埃埋城
埒埓埜域埵執基堀堂堅堕堤堪堯堰報場堵堺塀塊塒塔塗塚塞塩塲塵境墓増墨墮墾壁壇壌壒壜
壟士壬壮壯声壱売壳壷壹壺壼壽変夏夕外夙多夜夢夥大天太夫央失夷夾奇奈奉奏契奔奕奚奠
奢奥奧奪奮女奴奸好如妃妄妊妓妖妙妣妨妬妹妻妾姉姊始姑姓委姚姜姦姨姪姫姿威娑娘娟娣
娥娯娵娶娼婆婚婢婦婬婿媒媚媛媱媳媽嫁嫉嫌嫗嫡嫩嫰嬉嬋嬢嬰嬲嬶孀孁子孑孔字存孜孝孟
季孤学孫孰學宅宇守安宋完宕宗官宙定宛宜宝実客宣室宥宦宮宰害宴宵家宸容宿寂寄寅密寇
富寐寒寓寔寛寝察寡寢寤實寧寨審寳寵寶寸寺対寿封専射尅将將專尉尊尋對導小少尓尖尚尤
尨尭就尺尻尼尽尾尿局屁居屈届屋屍屎屏屐屑屓展属屠屡履屩屯山岐岡岨岩岳岸峠峨峯峰島
峽崇崎崑崔崖崙崩嵐嵩嵯嶋嶌嶮嶺嶽巌巖川州巡巢巣工左巧巨巫差己已巳巴巷巻巾市布帆帋
希帖帛帝帥師席帯帰帳帶帷常帽幅幕幟幡幢幣干平年并幸幻幼幽幾广広庄庇床序底庖店庚府
度座庫庭庵庶康庸廃廈廉廊廓廟廢廣廩廱廳延廷建廻廼廿弁弉式弐弑弓弔引弗弘弟弥弧弱張
強弾彈彌当彙形彦彩彫彰影彳役彼往征徂徃待徊律後徐徑徒従得徘從徠御徨復微徳徹心必忌
忍志忘忙応忝忠快念忽忿怒怕怖怜思怠怡急性怨怪怯恃恋恍恐恒恖恙恚恟恠恣恥恨恩恭息恰
恵悉悋悌悒悔悖悟患悦悧悩悪悲悵悶情惆惑惚惜惟惠惡惣惰惱想惺惻愁愈愍意愚愛感愧愼慈
態慌慎慕慙慝慢慥慧慨慮慰慳慶慾憂憇憎憐憑憖憚憤憶懇懈應懐懲懶懷懸懺戀戈戊戌戎成我
戒或戛戝戟戦戯戰戲戴戶戸戻戾房所扁扇扈扉手才打払托扨扮扱扶批承技抄把抑抓抔投折抛
抜披抱抵押抽拂担拇拊拌拍拐拒拓拔拗拘拙招拜拝拠括拭拳拵拶拾拿持指按挌挑挙挟挨挫振
挺挽挾挿捉捏捕捧捨据捻掃授掉掌排掘掛掟掠採探接推掩掬掲掴掻掾揃揉描提揚換握揩揮援
揺損搏搔搖搗搜携摂摘摠摧摩摸摺撃撒撞撥撫播撮撰撲擂操擒據擡擧擬擲攘攬支收攷改放政
故效救敖教敝敢散敦敬数敲整敵敷數斃文斉斎斐斑斗料斛斜斟斤斧斬断斯新斷方於施旁旅族
旗无既日旦旧旨早旬昂昆昇昌明昏易昔星映春昧昨昭是昴昼時晋晒晝晞晦晨晩普景晴晶智暁
暄暇暑暖暗暦暫暮暴暹曉曙曜曝曠曰曲曳更書曹曼曽曾替最會月有朋服朔朕朗望朝期朦朧木
未末本札朮朱朴机朽杉李杏材村杓杖杙杜杞束杠条杢来杭杯東杲杳杵杷杼松板枇枋枕林枚果
枝枡枩枯枲枴架枷枸柄柊柏某柑染柔柘柚柤柩柱柳柴柹査柾柿栁栃栄栖栗栝校栢株核根格栽
桀桁桂桃案桐桑桓桔桜桧桴桶梁梅梓梔梗條梟梢梧梨梭梯械梳梵梶梼棄棉棍棐棒棗棘棚棟棠
棧森棲棹棺椀椅椋植椎椒椙検椹椽椿楊楑楓楙楚楜楠楡楫業楯楴極楼楽概榊榎榑榕榛榪榮榴
榾榿槁槃槇構槌槍槎槖様槙槪槹槿樂樋樒樓樔標樟模樣権横樹樽橇橋橘橙機橡橦檀檋檎檐檗
檜檻櫂櫃櫓櫚櫛櫨櫻權欝欠次欧欬欲欺欽歇歌歎歓歟歡止正此武歩歯歳歴歸死殊残殖殘殞殯
段殺殻殼殽殿毀毆毋母毎毒比毘毛毟毫毬氈氏民気氣水氷永汀汁求汐汗汚汝江池汰汲決汾沃
沈沒沓沖沙没沢沫河沸油治沼沽況泄泉泊泔法泡波泣泥注泪泰泳洋洒洗洛洞津洩洪洲活派流
浄浅浜浦浪浮浴海浸涅消涕涙涯液涸涼涿淀淋淡淨淫深淳淵混淹淺添清渇済渉渋渓減渠渡渣
渤温測游渾湊湖湛湧湯湾湿満溏源溜溝溢溺滄滅滑滓滝滴滸滿漁漂漆漉漏演漕漢漣漫漬漲漸
漻漿潅潔潛潜潟潤潦潮潯潰潸澄澡澤澳濁濂濃濕濟濡濫濯濱濵瀉瀧瀬瀰灘火灯灰灸災炉炊炎
炒炙炬炭炮炳点為烈烏烙烟烹焉焔焙焚無焦然焼煉煎煖煙煤煥照煩煬煮煻熇熊熟熨熬熱熾燃
燈燒燕燗營燥燧燭燵燿爈爐爛爪爬爭爰爲爵父爹爺爼爽爾牀牆片版牌牒牙牛牝牡牢牧物特牽
犀犠犢犬犯状狂狄狎狐狗狛狩独狭狸狹狼猛猜猟猥猨猩猪猫献猴猶猿獄獅獏獣獨獬獲獵獸獺
獻玄率玉王玖玲珊珍珠班現球理琉琢琳琴瑙瑚瑞瑠瑪璃璧環璽瓊瓏瓜瓠瓢瓦瓮瓶甀甑甕甘甚
甜甞生産用甫田由甲申男町画畄界畑畒畔留畚畜畝畠畢略畦畧番畫異畳當畸畿疊疋疎疑疣疫
疱疲疳疵疹疾病痘痛痞痢痩痰痴痿瘟瘡瘤瘧瘰療癒癖癩癸発登發白百皂皃的皆皇皈皮皷皹皺
皿盃盆益盒盖盗盛盜盞盟盡盤盥盧目盲直相省眉看眛眞真眠眤眷眸眺眼着睚睜睡睢督睦睨睾
瞬瞻瞼瞿矚矛矢矣知矩短石砂研砕砥砧砲破砺硫硯碁碎碑碓碗碧磁磐磤磨磯磽礒礙礫示礼社
祇祈祐祓祕祖祗祚祝神祟祠祢祥祭祷祿禁禄禅禊禍福禦禪禮禰禱禽禿秀私秋科秘秡秣秤秦秧
秩秬称移稀程稍稗稚稜稠種稱稲稷稻稼稽稾稿穀穂積穏穗穢穪穴究空穿突窈窓窕窗窟窩窮窶
窻竃竄竅竈竊立竒竜竟章童竪端競竹竺竿笆笋笑笘笙笛笠笥符第笹筆筈等筋筍筏筐筑筒答策
筥筧筬筭筲筵箇箏箒箔箕算管箪箭箱箸節範篆篇築篗篠篤篦篩篭篷篼簀簍簑簒簗簟簡簾簿籃
籆籍籏籔籟籠籩籬米籾粂粃粉粋粒粕粗粘粟粥粧粮粲粳粹粽精糀糄糊糕糖糜糝糞糟糠糧糯糶
糸糺系紀紂約紅紋納紐紗紙紛素紡索紫紬累細紵紹紺終絃組絅絆経結絞給絨絮統絲絵絶絹經
継続綢維綱網綸綺綾綿緇緋総緑緒線緡編緩緬練緻縁縄縊縑縛縞縡縣縦縫縮縵縷縺縻總績繁
繅繆繊繋繍織繕繞繡繩繪繭繰繻繼續纏纒纔缺罌罔罟罠罪置罰罵罷罸罹羅羈羊美羔羚羞群羨
義羮羹羽翁翅翌習翔翠翡翫翰翼老考耄者耆而耐耒耕耘耳耻耽聊聖聘聚聞聟聡聢聲聳聴職肆
肉肌肖肘肚肝股肥肩肯肱育肴胃胆背胎胝胞胡胤胯胴胸胼能脂脇脊脚脛脣脩脯脱脳脾腋腎腐
腕腥腦腨腫腮腰腸腹腿膂膚膝膠膳膽膾臂臆臈臉臍臑臘臣臥臨自臭至致臺臼舁舂舅與興舊舌
舍舎舖舘舛舜舞舟航般舶船艘艪良艱色艶艸艾芋芍芒芙芝芥芦芭花芳芸芹芽苑苓苔苗苞苟苡
苣若苦苧苪苫英苵茂范茄茅茎茗茘茜茨茱茴茶茸茹茼荇草荊荒荷荻荼莅莊莎莕莖莚莞莟莧莨
莫莱莵莾菁菅菊菌菓菔菖菘菜菝菟菩菪菫華菰菱菴菽萄萊萌萍萓萠萩萬萱萸落葉葎著葛葜葡
董葦葬葭葱葵葶葺蒔蒙蒜蒟蒡蒲蒸蒻蒼蒿蓉蓋蓍蓙蓬蓮蓴蓼蔀蔓蔔蔕蔞蔡蔦蔭蔵蕀蕃蕉蕎蕗
蕢蕣蕨蕩蕪蕷蕺薁薄薊薏薑薔薗薜薦薨薩薪薫薬薮薯薷薹薺藁藍藏藐藜藝藤藥藪藷藺藻藿蘂
蘇蘋蘓蘘蘡蘩蘭蘰蘼蘿虎處虚虞號虫虱虹虻蚊蚓蚕蚢蚣蚤蚫蚯蚶蚸蚺蛁蛄蛇蛉蛍蛎蛙蛛蛞蛟
蛤蛮蛯蛸蛹蛾蜀蜂蜃蜆蜈蜊蜍蜐蜑蜘蜜蜥蜩蜴蜻蜾蝉蝋蝎蝓蝕蝗蝙蝠蝤蝦蝮蝴蝶蝸蝿螂螇螉
融螖螢螫螺螻蟀蟄蟆蟇蟋蟒蟛蟟蟠蟲蟶蟷蟹蟾蠃蠅蠜蠡蠢蠮蠱蠶蠻血衆行衒術街衛衝衞衢衣
表衰衲衽衾衿袁袂袈袋袍袖袞被袱袴袷裁裂装裏裔裘裙補裝裟裡裳裸裹製裾褁褌褐褒褓褥襁
襄襌襖襟襲西要覆見規視覗覚覧親観覺觀角觜解触觧觸言訂計討訓託記訛訝訣訥訪設許訳訴
註証詐詔評詛詞詠詣試詩詫詮詰話詳誂誅誇誉誌認誑誓誕誘語誠誤誦誨説読誰課誹調談請諌
諏論諚諛諧諫諭諱諷諸諺謀謂謎謗謙講謝謠謡謫證譏識譚譜譬議譲護譽讀讃變讐讒讓讚谷谿
豆豈豉豊豌豐豕豚象豺貌貝貞負財貢貧貨販貪貫責貯貰貳貴貶買貸費貼貿賀賃賄資賈賊賎賑
賓賛賜賞賢賣賤賦質賭賺賽贄贅贈贏贔贖赤赦赧赫走赴起超越趙趣足跋跌跏跖跟跡跨跪路跳
跼踆踊踏踝踞踪踰蹄蹇蹈蹊蹤蹴躁躇躊躍躡身躬躯躰躾軆車軍軒転軸軽較載輔輕輛輝輩輪輯
輿轉轍轟辛辜辞辟辨辰辱農辺辻込迂迄迎近返迚迦迩迫迯述迷迹迺追退送逃逅逆逍透逐逓途
逗這通逝逞速造逢連進逸逼遁遂遅遇遊運遍過道達違遙遠遣遥適遭遲遷選遺遽避邂還邉邊邑
那邦邪邯郁郊郎郛郡部郭郷都鄙鄲酉酌配酒酔酖酢酩酬酴酷酸醉醍醐醒醜醢醤醪醫醬醯醴醿
釄采釈釋里重野量金釘釜針釡釣釵釿鈍鈎鈔鈴鈷鉄鉛鉢鉤鉦鉾銀銃銅銕銘銚銭鋤鋸錄錆錐錠
錢錦錫錬録鍋鍔鍛鍬鍮鍼鍾鎌鎔鎖鎚鎭鎮鎰鏊鏡鏤鏥鐃鐐鐘鐫鐵鑄鑑鑓鑰鑵鑿長門閉開閏閑
間閔閙関閣閤閨閻閼闇闌闍闕闖關闢防阿陀附陋陌降限院陣除陥陪陰陳陵陶陷陸険陽隂隅隆
隈隋階随隔隘隙際障隠隣隨隱隻雀雁雄雅集雇雉雌雑雕雖雙雛雜雞離難雨雪雫雲零雷雹電需
震霊霎霖霜霞霤霧霰露霹霽靂靈靍青靖静靜非靡面靨革靪靭靼鞁鞅鞆鞋鞍鞘鞠韃韭韮音韻響
頂頃項順須頌預頑頓頗領頡頬頭頰頴頷頻頼頽顋題額顏顔顕願顙顛類顧顰顱風颭颯飛飜食飢
飩飮飯飲飴飼飽飾餃餅餉養餌餐餓餘餝餡館餬餲餻饀饂饅饉饑饒饗饘首香馨馬馳馴駄駅駆駈
駐駒駕駝駟駭駿騒験騙騨騫騷驅驕驗驚驢驫骨骸髄體高髙髩髪髭髮髯髷髻鬌鬒鬘鬚鬛鬟鬢鬩
鬪鬮鬱鬻鬼魁魂魄魅魏魑魔魘魚魟魦魯魳鮅鮇鮎鮑鮒鮓鮗鮟鮠鮥鮦鮧鮨鮪鮫鮬鮭鮮鮲鯉鯊鯎
鯑鯒鯔鯖鯛鯨鯯鯰鯲鯵鯷鰆鰈鰊鰌鰐鰒鰔鰕鰣鰤鰥鰩鰭鰯鰶鰹鰺鰻鰾鱁鱅鱆鱇鱈鱊鱏鱒鱗鱚
鱠鱣鱧鱪鱮鱲鱶鱸鱺鳥鳩鳫鳰鳳鳴鳶鴈鴒鴞鴨鴫鴬鴽鵐鵑鵙鵜鵝鵞鵲鵺鶆鶉鶏鶫鶯鶴鶺鷂鷃
鷄鷉鷗鷦鷯鷲鷹鷺鸊鸞鹵鹽鹿麁麈麋麌麓麕麗麝麟麥麦麩麪麴麵麸麹麺麻麿黄黍黎黐黒默黛
點黠黨黽鼇鼈鼎鼓鼠鼫鼬鼴鼺鼻鼾齊齋齒齟齡齢齬龍龜龝﨑精器海琢突臭'''

        ret = tuple(line40.replace('\n', ''))  # 改行を除く
        

    elif (DATA == 'TKanji'):
        ret = None
        root = './TKanji/tkanji'  # TKanji.pyと合わせること
        ret = []
        listdir = os.listdir(root)
        #
        sline = ''
        i = 0
        #
        for sdir in listdir:
            udir = '0x' + sdir[2:]
            idir = int(udir, 16)
            ret.append(chr(idir))
            #
            sline += chr(idir)
            i += 1
            if (i % 50 == 0) or (i == len(listdir)):
                #print(sline)
                sline = ''
            #

    elif (DATA == 'CIFAR100'):
        """
        # 英語版
        ret = (
        'apples',            #  0：りんご
        'aquarium fish',     #  1：観賞魚
        'baby',              #  2：赤ちゃん
        'bear',              #  3：クマ
        'beaver',            #  4：ビーバー
        'bed',               #  5：ベッド
        'bee',               #  6：蜂
        'beetle',            #  7：カブトムシ
        'bicycle',           #  8：自転車
        'bottles',           #  9：ボトル
        'bowls',             # 10：ボウル
        'boy',               # 11：少年
        'bridge',            # 12：橋
        'bus',               # 13：バス
        'butterfly',         # 14：蝶
        'camel',             # 15：ラクダ
        'cans',              # 16：缶
        'castle',            # 17：城
        'caterpillar',       # 18：毛虫
        'cattle',            # 19：牛
        'chair',             # 20：椅子
        'chimpanzee',        # 21：チンパンジー
        'clock',             # 22：時計
        'cloud',             # 23：雲
        'cockroach',         # 24：ゴキブリ
        'couch',             # 25：ソファー
        'crab',              # 26：カニ
        'crocodile',         # 27：ワニ
        'cups',              # 28：カップ
        'dinosaur',          # 29：恐竜
        'dolphin',           # 30：イルカ
        'elephant',          # 31：象
        'flatfish',          # 32：ヒラメ
        'forest',            # 33：森
        'fox',               # 34：キツネ
        'girl',              # 35：少女
        'hamster',           # 36：ハムスター
        'house',             # 37：家
        'kangaroo',          # 38：カンガルー
        'computer keyboard', # 39：コンピューターのキーボード
        'lamp',              # 40：ランプ
        'lawn-mower',        # 41：芝刈り機
        'leopard',           # 42：ヒョウ
        'lion',              # 43：ライオン
        'lizard',            # 44：トカゲ
        'lobster',           # 45：ロブスター
        'man',               # 46：成人男性
        'maple',             # 47：もみじ
        'motorcycle',        # 48：オートバイ
        'mountain',          # 49：山
        'mouse',             # 50：ねずみ
        'mushrooms',         # 51：きのこ
        'oak',               # 52：オーク
        'oranges',           # 53：オレンジ
        'orchids',           # 54：蘭
        'otter',             # 55：カワウソ
        'palm',              # 56：ヤシ
        'pears',             # 57：洋ナシ
        'pickup truck',      # 58：ピックアップトラック
        'pine',              # 59：松
        'plain',             # 60：平野
        'plates',            # 61：皿
        'poppies',           # 62：ポピー
        'porcupine',         # 63：ヤマアラシ
        'possum',            # 64：フクロネズミ
        'rabbit',            # 65：ウサギ
        'raccoon',           # 66：アライグマ
        'ray',               # 67：エイ
        'road',              # 68：道路
        'rocket',            # 69：ロケット
        'roses',             # 70：バラ
        'sea',               # 71：海
        'seal',              # 72：アザラシ
        'shark',             # 73：サメ
        'shrew',             # 74：トガリネズミ
        'skunk',             # 75：スカンク
        'skyscraper',        # 76：超高層ビル
        'snail',             # 77：カタツムリ
        'snake',             # 78：ヘビ
        'spider',            # 79：クモ
        'squirrel',          # 80：リス
        'streetcar',         # 81：路面電車
        'sunflowers',        # 82：ひまわり
        'sweet peppers',     # 83：パプリカ
        'table',             # 84：テーブル
        'tank',              # 85：タンク
        'telephone',         # 86：電話
        'television',        # 87：テレビ
        'tiger',             # 88：トラ
        'tractor',           # 89：トラクター
        'train',             # 90：電車
        'trout',             # 91：マス
        'tulips',            # 92：チューリップ
        'turtle',            # 93：カメ
        'wardrobe',          # 94：ワードローブ
        'whale',             # 95：クジラ
        'willow',            # 96：柳
        'wolf',              # 97：オオカミ
        'woman',             # 98：成人女性
        'worm',              # 99：ミミズ
        )
        """
        # 日本語版
        ret = (
        'りんご',       #  0 'apples'
        '観賞魚',       #  1 'aquarium fish
        '赤ちゃん',     #  2 'baby'
        'クマ',         #  3 'bear'
        'ビーバー',     #  4 'beaver'
        'ベッド',       #  5 'bed'
        '蜂',           #  6 'bee'
        'カブトムシ',   #  7 'beetle'
        '自転車',       #  8 'bicycle'
        'ボトル',       #  9 'bottles'
        'ボウル',       # 10 'bowls'
        '少年',         # 11 'boy'
        '橋',           # 12 'bridge'
        'バス',         # 13 'bus'
        '蝶',           # 14 'butterfly'
        'ラクダ',       # 15 'camel'
        '缶',           # 16 'cans'
        '城',           # 17 'castle'
        '毛虫',         # 18 'caterpillar'
        '牛',           # 19 'cattle'
        '椅子',         # 20 'chair'
        'チンパンジー', # 21 'chimpanzee'
        '時計',         # 22 'clock'
        '雲',           # 23 'cloud'
        'ゴキブリ',     # 24 'cockroach'
        'ソファー',     # 25 'couch'
        'カニ',         # 26 'crab'
        'ワニ',         # 27 'crocodile'
        'カップ',       # 28 'cups'
        '恐竜',         # 29 'dinosaur'
        'イルカ',       # 30 'dolphin'
        '象',           # 31 'elephant'
        'ヒラメ',       # 32 'flatfish'
        '森',           # 33 'forest'
        'キツネ',       # 34 'fox'
        '少女',         # 35 'girl'
        'ハムスター',   # 36 'hamster'
        '家',           # 37 'house'
        'カンガルー',   # 38 'kangaroo'
        'キーボード',   # 39 'computer keyboard'
        'ランプ',       # 40 'lamp'
        '芝刈り機',     # 41 'lawn-mower'
        'ヒョウ',       # 42 'leopard'
        'ライオン',     # 43 'lion'
        'トカゲ',       # 44 'lizard'
        'ロブスター',   # 45 'lobster'
        '成人男性',     # 46 'man'
        'もみじ',       # 47 'maple'
        'オートバイ',   # 48 'motorcycle'
        '山',           # 49 'mountain'
        'ねずみ',       # 50 'mouse'
        'きのこ',       # 51 'mushrooms'
        'オーク',       # 52 'oak'
        'オレンジ',     # 53 'oranges'
        '蘭',           # 54 'orchids'
        'カワウソ',     # 55 'otter'
        'ヤシ',         # 56 'palm'
        '洋ナシ',       # 57 'pears'
        'トラック',     # 58 'pickup truck'
        '松',           # 59 'pine'
        '平野',         # 60 'plain'
        '皿',           # 61 'plates'
        'ポピー',       # 62 'poppies'
        'ヤマアラシ',   # 63 'porcupine'
        'フクロ鼠',     # 64 'possum'
        'ウサギ',       # 65 'rabbit'
        'アライグマ',   # 66 'raccoon'
        'エイ',         # 67 'ray'
        '道路',         # 68 'road'
        'ロケット',     # 69 'rocket'
        'バラ',         # 70 'roses'
        '海',           # 71 'sea'
        'アザラシ',     # 72 'seal'
        'サメ',         # 73 'shark'
        'トガリ鼠',     # 74 'shrew'
        'スカンク',     # 75 'skunk'
        '超高層ビル',   # 76 'skyscraper'
        'カタツムリ',   # 77 'snail'
        'ヘビ',         # 78 'snake'
        'クモ',         # 79 'spider'
        'リス',         # 80 'squirrel'
        '路面電車',     # 81 'streetcar'
        'ひまわり',     # 82 'sunflowers'
        'パプリカ',     # 83 'sweet peppers'
        'テーブル',     # 84 'table'
        'タンク',       # 85 'tank'
        '電話',         # 86 'telephone'
        'テレビ',       # 87 'television'
        'トラ',         # 88 'tiger'
        'トラクター',   # 89 'tractor'
        '電車',         # 90 'train'
        'マス',         # 91 'trout'
        'チューリップ', # 92 'tulips'
        'カメ',         # 93 'turtle'
        '洋服だんす',   # 94 'wardrobe'
        'クジラ',       # 95 'whale'
        '柳',           # 96 'willow'
        'オオカミ',     # 97 'wolf'
        '成人女性',     # 98 'woman'
        'ミミズ',       # 99 'worm'
        )
        
        """
        # 10x10
        りんご　　観賞魚　　　　赤ちゃん　　　クマ　　　　ビーバー　　ベッド　　　蜂　　　　　カブトムシ　自転車　　　ボトル
        ボウル　　少年　　　　　橋　　　　　　バス　　　　蝶　　　　　ラクダ　　　缶　　　　　城　　　　　毛虫　　　　牛
        椅子　　　チンパンジー　時計　　　　　雲　　　　　ゴキブリ　　ソファー　　カニ　　　　ワニ　　　　カップ　　　恐竜
        イルカ　　象　　　　　　ヒラメ　　　　森　　　　　キツネ　　　少女　　　　ハムスター　家　　　　　カンガルー　キーボード
        ランプ　　芝刈り機　　　ヒョウ　　　　ライオン　　トカゲ　　　ロブスター　成人男性　　もみじ　　　オートバイ　山
        ねずみ　　きのこ　　　　オーク　　　　オレンジ　　蘭　　　　　カワウソ　　ヤシ　　　　洋ナシ　　　トラック　　松
        平野　　　皿　　　　　　ポピー　　　　ヤマアラシ　フクロ鼠　　ウサギ　　　アライグマ　エイ　　　　道路　　　　ロケット
        バラ　　　海　　　　　　アザラシ　　　サメ　　　　トガリ鼠　　スカンク　　超高層ビル　カタツムリ　ヘビ　　　　クモ
        リス　　　路面電車　　　ひまわり　　　パプリカ　　テーブル　　タンク　　　電話　　　　テレビ　　　トラ　　　　トラクター
        電車　　　マス　　　　　チューリップ　カメ　　　　洋服だんす　クジラ　　　柳　　　　　オオカミ　　成人女性　　ミミズ
        """

    return ret
